Can't install Wine after upgrading from Ubuntu 16.04 to 18.04

Questions about Wine on Linux
Post Reply
xmike
Newbie
Newbie
Posts: 3
Joined: Sun Mar 22, 2020 2:24 pm

Can't install Wine after upgrading from Ubuntu 16.04 to 18.04

Post by xmike » Sun Mar 22, 2020 2:30 pm

Hi guys.

I had a perfectly fine and working Wine in my previous 16.04, but after upgrading to 18.04 it just won't start.

I purged everything and tried installing the v5, but it was always complaining about missing dependencies. I already went through tens of topics: https://www.google.com/search?q=ubuntu+18+wine
and it just won't install correctly. Installing libfaudio0 from: https://download.opensuse.org/repositor ... ntu_18.04/ didn't help.

I've purged everything and would like to start from scratch. Any help please?

User avatar
dimesio
Moderator
Moderator
Posts: 12813
Joined: Tue Mar 25, 2008 10:30 pm

Re: Can't install Wine after upgrading from Ubuntu 16.04 to 18.04

Post by dimesio » Sun Mar 22, 2020 3:33 pm

https://wiki.winehq.org/FAQ#How_do_I_so ... ll_Wine.3F

If you need further help, post terminal output from trying to install the WIneHQ package.

xmike
Newbie
Newbie
Posts: 3
Joined: Sun Mar 22, 2020 2:24 pm

Re: Can't install Wine after upgrading from Ubuntu 16.04 to 18.04

Post by xmike » Sun Mar 22, 2020 5:38 pm

Thank you for the reply, I'll do my best:

So I already enabled i386 and have "deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main" inside my apt list. I've also installed the libfaudio0 packa

Code: Select all

$ sudo apt list --installed | grep libfaudio
libfaudio0/now 19.07-0~bionic amd64 [installed,local]

Code: Select all

$ sudo apt install --install-recommends winehq-stable
winehq-stable : Depends: wine-stable (= 5.0.0~bionic)

$ sudo apt install wine-stable
wine-stable : Depends: wine-stable-i386 (= 5.0.0~bionic)

$ sudo apt install wine-stable-i386
wine-stable-i386:i386 : Depends: libgphoto2-6:i386 (>= 2.5.10)

$ sudo apt install libgphoto2-6:i386
libgphoto2-6:i386 : Depends: libxml2:i386 (>= 2.7.4)

$ sudo apt install libxml2:i386
Now the last one wants to do some harm, I'm not going to allow this:

Code: Select all

The following NEW packages will be installed:
  libicu60:i386 libxml2:i386
0 upgraded, 2 newly installed, 311 to remove and 0 not upgraded.
Need to get 8 892 kB of archives.
After this operation, 1 712 MB disk space will be freed.
Not sure how to get past this.

User avatar
dimesio
Moderator
Moderator
Posts: 12813
Joined: Tue Mar 25, 2008 10:30 pm

Re: Can't install Wine after upgrading from Ubuntu 16.04 to 18.04

Post by dimesio » Mon Mar 23, 2020 7:31 am

xmike wrote:
Sun Mar 22, 2020 5:38 pm

Code: Select all

$ sudo apt list --installed | grep libfaudio
libfaudio0/now 19.07-0~bionic amd64 [installed,local]
You also need the i386 FAudio package.
Now the last one wants to do some harm, I'm not going to allow this:

Code: Select all

The following NEW packages will be installed:
  libicu60:i386 libxml2:i386
0 upgraded, 2 newly installed, 311 to remove and 0 not upgraded.
Need to get 8 892 kB of archives.
After this operation, 1 712 MB disk space will be freed.
That's most likely a case of a mismatch between the amd64 version you have installed and the version of the i386 package that apt wants to install. The versions must be identical. Going back to the packages in the distro repository is usually the easiest way to solve it. The other choice is to find an i386 package whose version matches the amd64 package you already have installed.

xmike
Newbie
Newbie
Posts: 3
Joined: Sun Mar 22, 2020 2:24 pm

Re: Can't install Wine after upgrading from Ubuntu 16.04 to 18.04

Post by xmike » Mon Mar 23, 2020 11:48 am

Thank you! I've managed to get past through this. I had to downgrade a number of packages which were installed using 3rd party PPA's. For each package which wasn't in the correct version I managed to find the correct one using the `apt-cache madison package_name". After downgrading each the "winehq-stable" finally wasn't complaining. Thank you.

Post Reply